| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces
OgreTextureUnitState.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreBlendMode.h"`
`#include "OgreMatrix4.h"`
`#include "OgreTexture.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::TextureUnitState
| Class representing the state of a single texture unit during a Pass of a Technique, of a Material. More...
struct | Ogre::TextureUnitState::TextureEffect
| Internal structure defining a texture effect. More...
struct | Ogre::TextureUnitState::UVWAddressingMode
| Texture addressing mode for each texture coordinate. More...

## Namespaces
| Ogre